Debt<- read.csv(file="/Users/jornkleinert/Desktop/Forschung/Financial Markets/Debt1.csv", header=TRUE,sep=";", dec=".")
names(Debt)[names(Debt)=="X"]<- "Year"
summary(Debt)

Debt_composition<- read.csv(file="/Users/jornkleinert/Desktop/Forschung/Financial Markets/Debt_by_nationality_of_holders_1.csv", header=TRUE,sep=";", dec=".")
names(Debt_composition)[names(Debt_composition)=="X"]<- "Year"
Debt$Share_dom_Spain <- Debt_composition$Spain_Domestic/Debt$Spain
Debt$Share_dom_Italy <- Debt_composition$Italy_Domestic/Debt$Italy
Debt$Share_dom_Germany <- Debt_composition$Germany_Domestic/Debt$Germany
Debt$Share_dom_France <- Debt_composition$France_Domestic/Debt$France
Debt$Share_dom_Denmark <- Debt_composition$Denmark_Domestic/Debt$Denmark
Debt$Share_dom_Portugal <- Debt_composition$Portugal_Domestic/Debt$Portugal
Debt$Share_dom_Belgium <- Debt_composition$Belgium_Domestic/Debt$Belgium
Debt$Share_dom_Finland <- Debt_composition$Finland_Domestic/Debt$Finland
Debt$Share_dom_Netherlands <- Debt_composition$Netherlands_Domestic/Debt$Netherlands
Debt$Share_dom_Luxembourg <- Debt_composition$Luxembourg_Domestic/Debt$Luxembourg
Debt$Share_dom_Austria <- Debt_composition$Austria_Domestic/Debt$Austria
library(tidyverse)

ggplot(Debt, aes(Year, Share_dom_Spain))+ geom_line()+labs(title="Share of government bonds held by residents")+labs(x="Year")+labs(y="Share")
ggplot(Debt)+ geom_line(aes(x=Year, y=Share_dom_Spain, linetype="Spain", size="Spain"))+labs(title="Share of government bonds held by residents")+labs(x="Year")+labs(y="Share")+ geom_line(aes(x=Year, y=Share_dom_Italy, linetype="Italy", size="Italy"))+ geom_line(aes(x=Year, y=Share_dom_Germany, linetype="Germany", size="Germany"))+ geom_line(aes(x=Year, y=Share_dom_France, linetype="France", size="France"))+scale_linetype_manual(values=c("Spain"=1, "Italy"=2,"Germany"=5,"France"=6))+scale_size_manual(values=c("Spain"=1/3, "Italy"=2/4,"Germany"=1/3,"France"=2/4))+labs(linetype="")+labs(size="")+theme(legend.position="bottom", legend.text=element_text(size=12))


ggplot(Debt)+ geom_line(aes(x=Year, y=Share_dom_Austria, linetype="Austria", size="Austria"))+labs(title="Share of government bonds held by residents")+labs(x="Year")+labs(y="Share")+ geom_line(aes(x=Year, y=Share_dom_Belgium, linetype="Belgium", size="Belgium"))+ geom_line(aes(x=Year, y=Share_dom_Denmark, linetype="Denmark", size="Denmark"))+ geom_line(aes(x=Year, y=Share_dom_Netherlands, linetype="Netherlands", size="Netherlands"))+ geom_line(aes(x=Year, y=Share_dom_Portugal, linetype="Portugal", size="Portugal"))+scale_linetype_manual(values=c("Austria"=4, "Belgium"=5,"Denmark"=1,"Netherlands"=1, "Portugal"=5))+scale_size_manual(values=c("Austria"=1/2, "Belgium"=2/3,"Denmark"=1/3,"Netherlands"=2/3, "Portugal"=1/3)) +labs(linetype ="")+labs(size ="")+theme(legend.position="bottom", legend.text=element_text(size=12))



InterestRates<-read.csv(file="/Users/jornkleinert/Desktop/Forschung/Financial Markets/Interest rates2.csv", header=TRUE,sep=";", dec=".")
summary(InterestRates)
library(tidyverse)

ggplot(InterestRates)+ geom_line(aes(x=Month, y=Spain, linetype="Spain", size="Spain"))+labs(title="Interest rates in EMS and EMU")+labs(y="Percent")+ geom_line(aes(x=Month, y=Italy, linetype="Italy", size="Italy"))+ geom_line(aes(x=Month, y=Germany, linetype="Germany", size="Germany"))+ geom_line(aes(x=Month, y=France, linetype="France", size="France"))+scale_linetype_manual(values=c("Spain"=1, "Italy"=2,"Germany"=5,"France"=6)) +scale_size_manual(values=c("Spain"=1/3, "Italy"=2/4,"Germany"=1/3,"France"=2/4))+labs(linetype="")+labs(size="")+theme(legend.position="bottom")+scale_x_continuous(name="Years",breaks=seq(1,351,by=24),labels=as.character(seq(1993,2022,by=2)))
